Package org.springframework.security.web.authentication.rememberme

# Interface PersistentTokenRepository

All Known Implementing Classes:
  `InMemoryTokenRepositoryImpl`, `JdbcTokenRepositoryImpl`

public interface PersistentTokenRepository
The abstraction used by `PersistentTokenBasedRememberMeServices` to store the persistent login tokens for a user.

Since:
  2.0
See Also:
  - `JdbcTokenRepositoryImpl`
  - `InMemoryTokenRepositoryImpl`

## Method Summary

Modifier and Type
Method
Description
`void`
`createNewToken(PersistentRememberMeToken token)`
`PersistentRememberMeToken`
`getTokenForSeries(String seriesId)`
`void`
`removeUserTokens(String username)`
`void`
`updateToken(String series, String tokenValue, Date lastUsed)`

## Method Details

### createNewToken

void createNewToken(PersistentRememberMeToken token)

### updateToken

void updateToken(String series, String tokenValue, Date lastUsed)

### getTokenForSeries

PersistentRememberMeToken getTokenForSeries(String seriesId)

### removeUserTokens

void removeUserTokens(String username)